[Overview][Constants][Types][Classes][Index] | Reference for unit 'Speech' (#crwlib)

# ISTGramComp

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: speech.pas line 4945

`type ISTGramComp = interface(IUnknown)`
`function FromMemory();`
`function FromResource();`
`function FromFile();`
`function FromStream();`
`function Compile();`
`function IsCompiled();`
`function ToMemory();`
`function ToFile();`
`function ToStream();`
`function TextGet();`
`function LanguageGet();`
`function GrammarFormatGet();`
`function GrammarDataGet();`
`function GrammarDataSet();`
`function AutoList();`
`function PhraseParse();`
`function GrammarLoad();`
`function PhraseParseAlt();`
`function PhraseParseRule();`
`end;`

## Inheritance

`ISTGramComp`
`IUnknown`
?